{% extends '@App/base.html.twig' %}

{% block body %}

    <h2>{{ 'dashboard.titles.availableDocuments'|trans }}</h2>


    <table class="table" tabindex="0">
        <thead>
        <tr>
            <th>{{ 'dashboard.title'|trans }}</th>
            <th>{{ 'dashboard.description'|trans }} / {{ 'dashboard.author'|trans }}</th>
            <th>{{ 'dashboard.creationDate'|trans }}</th>
            <th>{{ 'dashboard.version'|trans }}</th>
            <th>{{ 'dashboard.actions'|trans }}</th>
        </tr>
        </thead>
        <tbody>
        {% for template in templatesValidated %}

            <tr>
                <td>{{ template.name }}</td>
                <td>{{ template.shortDescription }}</td>
                <td>{{ template.creationDate? template.creationDate|date("d/m/Y H:i:s") : '-' }}
                    / {{ template.owner }}</td>
                <td>{{ template.version }}</td>
                <td>
                    <a class="icon-box" href="{{ path('template_restaure_edit', {templateId: template.id}) }}"
                       title="{{ 'actionHelper.restaureEditing'|trans }}"><i class="fa fa-undo"></i></a>

                    <a class="icon-box" href="{{ path('template_view', {id: template.id}) }}"
                       title="{{ 'actionHelper.view'|trans }}"
                       target="_blank"><i class="fa fa-eye"></i></a>

                    <a class="icon-box"
                       href="{{ path('template_print', {id: template.id, format: "pdf"}) }}"
                       title="{{ 'actionHelper.print'|trans }}"><i class="fa fa-file-pdf-o"></i></a>

                    <form class="create-doc-form form-inline"
                          method="post"
                          action="{{ path('filling_create', {templateId: template.id}) }}">
                        <div class="form-group">
                            <input type="text" class="form-control" name="internalRef"
                                   placeholder="{{ 'dashboard.yourInternalRef'|trans }}"/>
                            <button class="btn">{{ 'dashboard.newDocument'|trans }}</button>
                        </div>
                    </form>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">{{ 'dashboard.documents.emptyDocuments'|trans }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}

